#
# spec file for package python-cairocffi
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cairocffi
Version:        0.8.0
Release:        1.6
Summary:        Python cairo bindings based on cffi
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/SimonSapin/cairocffi
Source:         https://files.pythonhosted.org/packages/source/c/cairocffi/cairocffi-%{version}.tar.gz
BuildRequires:  %{python_module cffi >= 0.6}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module xcffib >= 0.3.2}
BuildRequires:  cairo
BuildRequires:  gdk-pixbuf
BuildRequires:  python-rpm-macros
Requires:       cairo
Requires:       python
Requires:       python-cffi >= 0.6
Requires:       python-xcffib >= 0.3.2
BuildArch:      noarch
%python_subpackages

%description
cairocffi is a CFFI-based drop-in replacement for Pycairo,
a set of Python bindings and object-oriented API for cairo.
Cairo is a 2D vector graphics library with support for multiple backends
including image buffers, PNG, PostScript, PDF, and SVG file output.

%package pixbuf
Summary:        Python cairo bindings based on cffi - pixbuf image loader
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       gdk-pixbuf

%description pixbuf
cairocffi is a CFFI-based drop-in replacement for Pycairo,
a set of Python bindings and object-oriented API for cairo.
Cairo is a 2D vector graphics library with support for multiple backends
including image buffers, PNG, PostScript, PDF, and SVG file output.

This package provides the optional gdk-pixbuf image loader module.

%prep
%setup -q -n cairocffi-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc LICENSE CHANGES README.rst
%{python_sitelib}/cairocffi-%{version}-py*.egg-info
%{python_sitelib}/cairocffi/
%exclude %{python_sitelib}/cairocffi/test_pixbuf.py*
%exclude %{python_sitelib}/cairocffi/pixbuf.py*
%ifpycache
%exclude %{python_sitelib}/cairocffi/__pycache__/test_pixbuf.*
%exclude %{python_sitelib}/cairocffi/__pycache__/pixbuf.*
%endif

%files %{python_files pixbuf}
%{python_sitelib}/cairocffi/pixbuf.py*
%{python_sitelib}/cairocffi/test_pixbuf.py*
%ifpycache
%{python_sitelib}/cairocffi/__pycache__/test_pixbuf.*
%{python_sitelib}/cairocffi/__pycache__/pixbuf.*
%endif

%changelog
* Fri Jan 26 2018 petr@cervinka.net
- Add xcffib support
- Spec file cleaned
* Wed Apr 12 2017 toddrme2178@gmail.com
- Fix download URL.
* Wed Apr 12 2017 toddrme2178@gmail.com
- Update to version 0.8.0
  * Follow semver
  * Avoid implicit relative import
  * Use utf-8 instead of utf8 in headers
  * Keep cairo library loaded until all relevant objects are freed
  * Add cairo_quartz_* functions for MacOS
  * Use the default ReadTheDocs theme
  * Fix implicit casts
* Fri Oct 14 2016 jmatejek@suse.com
- update for multipython build
* Mon Feb  1 2016 toddrme2178@gmail.com
- update to version 0.7.2:
  * Use ctypes.util.find_library with dlopen.
  * Fix loading of gdk_pixbuf library on Ubuntu
- update to version 0.7.1:
  * Add a possible work-around for #64.
* Wed Jul  1 2015 toddrme2178@gmail.com
- Depend on cairo instead of cairo-tools
* Tue Apr 28 2015 benoit.monin@gmx.fr
- update to version 0.6:
  * #39 Add :class:xcb.XCBSurface.
  * #42 Add :class:Win32PrintingSurface.
- add Group field to subpackage python-cairocffi-pixbuf
* Wed Sep 10 2014 toddrme2178@gmail.com
- Require gdk-pixbuf instead of typelib(GdkPixbuf)
* Wed Aug 27 2014 toddrme2178@gmail.com
- Split out optional gdk-pixbuf module.
  This avoids a lot of gtk dependencies for the main package, and
  is the recommended approach by upstream.
* Tue Aug 26 2014 toddrme2178@gmail.com
- Initial version
